﻿@model DataAccess.Model.Test

@{Html.RenderAction("SidemenuTestStart", "Menu");}

<div class="dashboard-wrapper">
    <div class="container-fluid dashboard-content">
        @using (Ajax.BeginForm("SubmitTest", "Test", null, new AjaxOptions() { HttpMethod = "Post", UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }, new { @class = "col-12" }))
        {
            @Html.AntiForgeryToken()
            @Html.HiddenFor(x => x.Id)

            <div class="card">
                <div class="card-header">
                    @ViewBag.Nazev
                </div>
                @for (int i = 0; i < Model.Questions.Count; i++)
                {
                    <div class="card-body @(i != 0 ? "border-top" : "")">
                        @Html.HiddenFor(x => x.Questions[i].Id)
                        @Html.HiddenFor(x => x.Questions[i].Question)
                        @Html.HiddenFor(x => x.Questions[i].Hint)
                        <h5>
                            @(i + 1). otázka:
                        </h5>
                        <h6>@Model.Questions[i].Question</h6>
                        <div>
                            @Model.Questions[i].Hint
                        </div>
                        <h5>Odpovědi: </h5>
                        @for (int j = 0; j < Model.Questions[i].Answers.Count; j++)

                        {
                            @Html.HiddenFor(x => x.Questions[i].Answers[j].Id)
                            @Html.HiddenFor(x => x.Questions[i].Answers[j].Answer)

                            <div class="form-check">
                                @Html.CheckBoxFor(x => x.Questions[i].Answers[j].IsCorrect, new { id = Model.Questions[i].Answers[j].Id })
                                <label class="form-check-label" for="@Model.Questions[i].Answers[j].Id">
                                    @(j + 1). @Model.Questions[i].Answers[j].Answer
                                </label>
                            </div>
                        }
                    </div>
                }
            </div>
            <button type="submit" class="btn btn-primary">Ukončit test</button>
        }
    </div>
</div>